cURL
curl --request POST \ --url https://www.quikquery.io/api/v1/bots \ --header 'Content-Type: application/json' \ --header 'api-token: <api-key>' \ --data ' { "name": "<string>", "description": "<string>", "_id": "<string>", "docGroup": [ "<string>" ], "openaiApiKey": "<string>", "isActive": true } '
{ "name": "<string>", "description": "<string>", "_id": "<string>", "docGroup": [ "<string>" ], "openaiApiKey": "<string>", "isActive": true }
Creates a new bot
Documentation IndexFetch the complete documentation index at: https://docs.quikquery.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.quikquery.io/llms.txt
Use this file to discover all available pages before exploring further.
Bot object that needs to be added to the store
The name of the bot
The description of the bot
The doc group of the bot
The openai api key of the bot
The status of the bot
Bot response